Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage.php	(revision 19915)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage.php	(revision 19959)
@@ -50,5 +50,9 @@
         parent::init();
         $this->tpl_title = 'MYページ';
-        $this->tpl_subtitle = '購入履歴一覧';
+        if (Net_UserAgent_Mobile::isMobile() === true){
+            $this->tpl_subtitle = 'MYページ';
+        } else {
+            $this->tpl_subtitle = '購入履歴一覧';
+        }
         $this->tpl_navi = TEMPLATE_REALDIR . 'mypage/navi.tpl';
         $this->tpl_mainno = 'mypage';
@@ -64,9 +68,5 @@
     function process() {
         parent::process();
-        if (Net_UserAgent_Mobile::isMobile() === true){
-            $this->mobileAction();
-        } else {
-            $this->action();
-        }
+        $this->action();
         $this->sendResponse();
     }
@@ -83,8 +83,8 @@
         
         // 退会判定用情報の取得
-        $this->tpl_login = $objCustomer->isLoginSuccess();
+        $this->tpl_login = $objCustomer->isLoginSuccess(true);
 
         // ログインチェック
-        if(!$objCustomer->isLoginSuccess()) {
+        if(!$objCustomer->isLoginSuccess(true)) {
             SC_Utils_Ex::sfDispSiteError(CUSTOMER_ERROR);
         }else {
@@ -109,11 +109,46 @@
         $this->tpl_linemax = $linemax;
 
-        // ページ送りの取得
-        $objNavi = new SC_PageNavi($this->tpl_pageno, $linemax, SEARCH_PMAX, "fnNaviPage", NAVI_PMAX);
-        $this->tpl_strnavi = $objNavi->strnavi;		// 表示文字列
-        $startno = $objNavi->start_row;
+        if (Net_UserAgent_Mobile::isMobile() === true){
+            define ("HISTORY_NUM", 5);  // TODO
+            $pageNo = isset($_GET['pageno']) ? (int) $_GET['pageno'] : 0; // TODO
 
-        // 取得範囲の指定(開始行番号、行数のセット)
-        $objQuery->setLimitOffset(SEARCH_PMAX, $startno);
+            // ページ送りの取得
+            // next
+            if ($pageNo + HISTORY_NUM < $linemax) {
+                $next = "<a href='index.php?pageno=" . ($pageNo + HISTORY_NUM) . "'>次へ→</a>";
+            } else {
+                $next = "";
+            }
+
+            // previous
+            if ($pageNo - HISTORY_NUM > 0) {
+                $previous = "<a href='index.php?pageno=" . ($pageNo - HISTORY_NUM) . "'>←前へ</a>";
+            } elseif ($pageNo == 0) {
+                $previous = "";
+            } else {
+                $previous = "<a href='index.php?pageno=0'>←前へ</a>";
+            }
+
+            // bar
+            if ($next != '' && $previous != '') {
+                $bar = " | ";
+            } else {
+                $bar = "";
+            }
+
+            $this->tpl_strnavi = $previous . $bar . $next;
+
+            // 取得範囲の指定(開始行番号、行数のセット)
+            $objQuery->setLimitOffset(HISTORY_NUM, $pageNo);
+        } else {
+            // ページ送りの取得
+            $objNavi = new SC_PageNavi($this->tpl_pageno, $linemax, SEARCH_PMAX, "fnNaviPage", NAVI_PMAX);
+            $this->tpl_strnavi = $objNavi->strnavi;		// 表示文字列
+            $startno = $objNavi->start_row;
+            
+            // 取得範囲の指定(開始行番号、行数のセット)
+            $objQuery->setLimitOffset(SEARCH_PMAX, $startno);
+        }
+        
         // 表示順序
         $objQuery->setOrder($order);
@@ -126,89 +161,4 @@
         $this->arrPayment = $objDb->sfGetIDValueList("dtb_payment", "payment_id", "payment_method");
 
-    }
-    
-    /**
-     * Page のAction(モバイル).
-     *
-     * @return void
-     */
-    function mobileAction() {
-        $objQuery = new SC_Query();
-        $objCustomer = new SC_Customer();
-        // クッキー管理クラス
-        $objCookie = new SC_Cookie(COOKIE_EXPIRE);
-        // パラメータ管理クラス
-        $objFormParam = new SC_FormParam();
-        // パラメータ情報の初期化
-        $this->lfInitParam($objFormParam);
-        // POST値の取得
-        $objFormParam->setParam($_POST);
-
-        // 携帯端末IDが一致する会員が存在するかどうかをチェックする。
-        $this->tpl_valid_phone_id = $objCustomer->checkMobilePhoneId();
-
-        if (!isset($_POST['mode'])) $_POST['mode'] = "";
-
-        // ログイン処理
-        if($_POST['mode'] == 'login') {
-            $objFormParam->toLower('login_email');
-            $arrErr = $objFormParam->checkError();
-            $arrForm =  $objFormParam->getHashArray();
-
-            // クッキー保存判定
-            if ($arrForm['login_memory'] == "1" && $arrForm['login_email'] != "") {
-                $objCookie->setCookie('login_email', $_POST['login_email']);
-            } else {
-                $objCookie->setCookie('login_email', '');
-            }
-
-            if (count($arrErr) == 0){
-                if($objCustomer->getCustomerDataFromMobilePhoneIdPass($arrForm['login_pass']) ||
-                   $objCustomer->getCustomerDataFromEmailPass($arrForm['login_pass'], $arrForm['login_email'], true)) {
-                    // ログインが成功した場合は携帯端末IDを保存する。
-                    $objCustomer->updateMobilePhoneId();
-
-                    /*
-                     * email がモバイルドメインでは無く,
-                     * 携帯メールアドレスが登録されていない場合
-                     */
-                    $objMobile = new SC_Helper_Mobile_Ex();
-                    if (!$objMobile->gfIsMobileMailAddress($objCustomer->getValue('email'))) {
-                        if (!$objCustomer->hasValue('email_mobile')) {
-                            SC_Response_Ex::sendRedirectFromUrlPath('entry/email_mobile.php');
-                            exit;
-                        }
-                    }
-                } else {
-                    $objQuery = new SC_Query;
-                    $where = "(email = ? OR email_mobile = ?) AND status = 1 AND del_flg = 0";
-                    $ret = $objQuery->count("dtb_customer", $where, array($arrForm['login_email'], $arrForm['login_email']));
-
-                    if($ret > 0) {
-                        SC_Utils_Ex::sfDispSiteError(TEMP_LOGIN_ERROR);
-                    } else {
-                        SC_Utils_Ex::sfDispSiteError(SITE_LOGIN_ERROR);
-                    }
-                }
-            }
-        }
-
-        /*
-         * ログインチェック
-         * 携帯メールの登録を必須にする場合は isLoginSuccess(false) にする
-         */
-        if(!$objCustomer->isLoginSuccess(true)) {
-            $this->tpl_mainpage = 'mypage/login.tpl';
-            foreach ($objFormParam->getHashArray() as $key => $val) {
-                $this->$key = $val;
-            }
-            if (empty($arrErr)) $arrErr = array();
-            $this->arrErr = $arrErr;
-        }else {
-            //マイページトップ顧客情報表示用
-            $this->CustomerName1 = $objCustomer->getvalue('name01');
-            $this->CustomerName2 = $objCustomer->getvalue('name02');
-            $this->CustomerPoint = $objCustomer->getvalue('point');
-        }
     }
 
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_History.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_History.php	(revision 19912)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_History.php	(revision 19959)
@@ -52,6 +52,4 @@
         $this->arrMAILTEMPLATE = $masterData->getMasterData("mtb_mail_template");
         $this->arrPref = $masterData->getMasterData('mtb_pref');
-        
-        $this->isMobile = Net_UserAgent_Mobile::isMobile();
    }
 
@@ -63,9 +61,5 @@
     function process() {
         parent::process();
-        if ( $this->isMobile === false ){
-            $this->action();
-        } else {
-            $this->mobileAction();
-        }
+        $this->action();
         $this->sendResponse();
     }
@@ -130,65 +124,4 @@
     function destroy() {
         parent::destroy();
-    }
-
-    /**
-     * Page のAction(モバイル).
-     *
-     * @return void
-     */
-    function mobileAction() {
-        define ("HISTORY_NUM", 5);
-
-        $objQuery = new SC_Query();
-        $objCustomer = new SC_Customer();
-        $pageNo = isset($_GET['pageno']) ? (int) $_GET['pageno'] : 0; // TODO
-
-        // ログインチェック
-        if(!isset($_SESSION['customer'])) {
-            SC_Utils_Ex::sfDispSiteError(CUSTOMER_ERROR);
-        }
-
-        $col = "order_id, create_date, payment_id, payment_total";
-        $from = "dtb_order";
-        $where = "del_flg = 0 AND customer_id=?";
-        $arrval = array($objCustomer->getvalue('customer_id'));
-        $order = "order_id DESC";
-
-        $linemax = $objQuery->count($from, $where, $arrval);
-        $this->tpl_linemax = $linemax;
-
-        // 取得範囲の指定(開始行番号、行数のセット)
-        $objQuery->setLimitOffset(HISTORY_NUM, $pageNo);
-        // 表示順序
-        $objQuery->setOrder($order);
-
-        //購入履歴の取得
-        $this->arrOrder = $objQuery->select($col, $from, $where, $arrval);
-
-        // next
-        if ($pageNo + HISTORY_NUM < $linemax) {
-            $next = "<a href='history.php?pageno=" . ($pageNo + HISTORY_NUM) . "'>次へ→</a>";
-        } else {
-            $next = "";
-        }
-
-        // previous
-        if ($pageNo - HISTORY_NUM > 0) {
-            $previous = "<a href='history.php?pageno=" . ($pageNo - HISTORY_NUM) . "'>←前へ</a>";
-        } elseif ($pageNo == 0) {
-            $previous = "";
-        } else {
-            $previous = "<a href='history.php?pageno=0'>←前へ</a>";
-        }
-
-        // bar
-        if ($next != '' && $previous != '') {
-            $bar = " | ";
-        } else {
-            $bar = "";
-        }
-
-        $this->tpl_strnavi = $previous . $bar . $next;
-
     }
 
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Refusal.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Refusal.php	(revision 19912)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Refusal.php	(revision 19959)
@@ -45,9 +45,5 @@
         parent::init();
         $this->tpl_title = 'MYページ';
-        if ( Net_UserAgent_Mobile::isMobile() === true){
-            $this->tpl_title .= '/退会手続き(入力ページ)';
-        } else {
-            $this->tpl_subtitle = '退会手続き(入力ページ)';
-        }
+        $this->tpl_subtitle = '退会手続き(入力ページ)';
         $this->tpl_navi = TEMPLATE_REALDIR . 'mypage/navi.tpl';
         $this->tpl_mainno = 'mypage';
@@ -62,9 +58,5 @@
     function process() {
         parent::process();
-        if ( Net_UserAgent_Mobile::isMobile() === true){
-            $this->mobileAction();
-        } else {
-            $this->action();            
-        }
+        $this->action();
         $this->sendResponse();
     }
@@ -76,8 +68,9 @@
      */
     function action() {
+        $objCustomer = new SC_Customer();
         $objSiteSess = new SC_SiteSession();
         
         // 退会判定用情報の取得
-        $this->tpl_login = $objCustomer->isLoginSuccess();
+        $this->tpl_login = $objCustomer->isLoginSuccess(true);
 
         $this->lfCheckLogin();
@@ -101,24 +94,4 @@
             // 正しい遷移かどうかをチェック
             $this->lfIsValidMovement($objSiteSess);
-            $this->lfDeleteCustomer();    //会員削除
-        }
-
-    }
-
-    /**
-     * Page のAction(モバイル).
-     *
-     * @return void
-     */
-    function mobileAction() {
-
-        $objQuery = new SC_Query();
-
-        $this->lfCheckLogin();
-
-        if (isset($_POST['no'])) {
-            SC_Response_Ex::sendRedirect(DIR_INDEX_URL);
-            exit;
-        } elseif (isset($_POST['complete'])){
             $this->lfDeleteCustomer();    //会員削除
         }
@@ -149,5 +122,5 @@
         $objCustomer = new SC_Customer();
         //ログイン判定
-        if (!$objCustomer->isLoginSuccess()){      
+        if (!$objCustomer->isLoginSuccess(true)){
             SC_Utils_Ex::sfDispSiteError(CUSTOMER_ERROR);
         }else {
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_LoginCheck.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_LoginCheck.php	(revision 19880)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_LoginCheck.php	(revision 19959)
@@ -100,8 +100,19 @@
             }
 
-            if($objCustomer->getCustomerDataFromEmailPass($arrForm['mypage_login_pass'], $arrForm['mypage_login_email'], true)) {
-                SC_Response_Ex::sendRedirect(DIR_INDEX_URL);
-                exit;
+            // ログイン判定
+            $loginFailFlag = false;
+            if(Net_UserAgent_Mobile::isMobile() === true) {
+                // モバイルサイト
+                if(!$objCustomer->getCustomerDataFromMobilePhoneIdPass($arrForm['mypage_login_pass']) &&
+                   !$objCustomer->getCustomerDataFromEmailPass($arrForm['mypage_login_pass'], $arrForm['mypage_login_email'], true)) {
+                    $loginFailFlag = true;
+                }
             } else {
+                // モバイルサイト以外
+                if(!$objCustomer->getCustomerDataFromEmailPass($arrForm['mypage_login_pass'], $arrForm['mypage_login_email'])) {
+                    $loginFailFlag = true;
+                }
+            }
+            if($loginFailFlag === true) {
                 $arrForm['mypage_login_email'] = strtolower($arrForm['mypage_login_email']);
                 $objQuery = new SC_Query;
@@ -114,4 +125,24 @@
                     SC_Utils_Ex::sfDispSiteError(SITE_LOGIN_ERROR);
                 }
+            } else {
+                if(Net_UserAgent_Mobile::isMobile() === true) {
+                    // ログインが成功した場合は携帯端末IDを保存する。
+                    $objCustomer->updateMobilePhoneId();
+
+                    /*
+                     * email がモバイルドメインでは無く,
+                     * 携帯メールアドレスが登録されていない場合
+                     */
+                    $objMobile = new SC_Helper_Mobile_Ex();
+                    if (!$objMobile->gfIsMobileMailAddress($objCustomer->getValue('email'))) {
+                        if (!$objCustomer->hasValue('email_mobile')) {
+                            SC_Response_Ex::sendRedirectFromUrlPath('entry/email_mobile.php');
+                            exit;
+                        }
+                    }
+                }
+                
+                SC_Response_Ex::sendRedirect(DIR_INDEX_URL);
+                exit;
             }
             break;
@@ -131,5 +162,5 @@
     function lfInitParam() {
         $this->objFormParam->addParam("記憶する", "mypage_login_memory", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
-        $this->objFormParam->addParam("メールアドレス", "mypage_login_email", MTEXT_LEN, "a", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "EMAIL_CHECK", "NO_SPTAB" ,"EMAIL_CHAR_CHECK"));
+        $this->objFormParam->addParam("メールアドレス", "mypage_login_email", MTEXT_LEN, "a", array("EXIST_CHECK", "MAX_LENGTH_CHECK"));
         $this->objFormParam->addParam("パスワード", "mypage_login_pass", PASSWORD_LEN1, "KVa", array("EXIST_CHECK"));
         $this->objFormParam->addParam("パスワード", "mypage_login_pass1", PASSWORD_LEN1, "KVa", array("EXIST_CHECK", "MIN_LENGTH_CHECK"));
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Login.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Login.php	(revision 19880)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Login.php	(revision 19959)
@@ -65,6 +65,4 @@
      */
     function action() {
-        //$objView = new SC_SiteView();
-        $objQuery = new SC_Query();
         $objCustomer = new SC_Customer();
 
@@ -73,5 +71,5 @@
 
         // ログイン判定
-        if($objCustomer->isLoginSuccess()) {
+        if($objCustomer->isLoginSuccess(true)) {
             SC_Response_Ex::sendRedirect(DIR_INDEX_URL);
             exit;
@@ -88,10 +86,10 @@
                 $this->tpl_login_email = $_POST['mypage_login_email'];
             }
+            
+            // 携帯端末IDが一致する会員が存在するかどうかをチェックする。
+            if (Net_UserAgent_Mobile::isMobile() === true){
+                $this->tpl_valid_phone_id = $objCustomer->checkMobilePhoneId();
+            }
         }
-
-        //$objpage内の全てのテンプレート変数をsmartyに格納
-        //$objView->assignobj($this);
-        //パスとテンプレート変数の呼び出し、実行
-        //$objView->display(SITE_FRAME);
     }
 
@@ -104,12 +102,4 @@
         parent::destroy();
     }
-
-    //エラーチェック
-    function lfErrorCheck() {
-        $objErr = new SC_CheckError();
-        $objErr->doFunc(array("メールアドレス", "login_email", STEXT_LEN), array("EXIST_CHECK","SPTAB_CHECK","EMAIL_CHECK","MAX_LENGTH_CHECK"));
-        $objErr->dofunc(array("パスワード", "login_password", PASSWORD_LEN2), array("EXIST_CHECK","ALNUM_CHECK"));
-        return $objErr->arrErr;
-    }
 }
 ?>
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_MailView.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_MailView.php	(revision 19888)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_MailView.php	(revision 19959)
@@ -30,5 +30,5 @@
  * @package Page
  * @author LOCKON CO.,LTD.
- * @version $Id: LC_Page_Mypage_MailView.php 16582 2007-10-29 03:06:29Z nanasess $
+ * @version $Id: $
  */
 class LC_Page_Mypage_MailView extends LC_Page {
@@ -64,5 +64,4 @@
      */
     function action() {
-        $objSess = new SC_Session();
         $objCustomer = new SC_Customer();
 
@@ -86,5 +85,10 @@
         }
 
-        $this->setTemplate('mypage/mail_view.tpl');
+        if (Net_UserAgent_Mobile::isMobile() === true){
+            $this->tpl_title = 'メール履歴詳細';
+            $this->tpl_mainpage = 'mypage/mail_view.tpl';
+        } else {
+            $this->setTemplate('mypage/mail_view.tpl');
+        }
     }
 
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Favorite.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Favorite.php	(revision 19908)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Favorite.php	(revision 19959)
@@ -30,5 +30,5 @@
  * @package Page
  * @author LOCKON CO.,LTD.
- * @version $Id: LC_Page_Mypage.php 16582 2007-10-29 03:06:29Z nanasess $
+ * @version $Id: $
  */
 class LC_Page_MyPage_Favorite extends LC_Page {
@@ -74,13 +74,12 @@
     function action() {
 
-        //$objView = new SC_SiteView();
         $objQuery = new SC_Query();
         $objCustomer = new SC_Customer();
         
         // 退会判定用情報の取得
-        $this->tpl_login = $objCustomer->isLoginSuccess();
+        $this->tpl_login = $objCustomer->isLoginSuccess(true);
 
         // ログインチェック
-        if(!$objCustomer->isLoginSuccess()) {
+        if(!$objCustomer->isLoginSuccess(true)) {
             SC_Utils_Ex::sfDispSiteError(CUSTOMER_ERROR);
         }else {
@@ -139,115 +138,4 @@
         // 入力情報を渡す
         $this->arrForm = $this->objFormParam->getFormParamList();
-        //$objView->assignobj($this);				//$objpage内の全てのテンプレート変数をsmartyに格納
-        //$objView->display(SITE_FRAME);				//パスとテンプレート変数の呼び出し、実行
-    }
-
-    /**
-     * モバイルページを初期化する.
-     *
-     * @return void
-     */
-    function mobileInit() {
-        $this->init();
-        $this->tpl_mainpage = 'mypage/favorite.tpl';
-        $this->tpl_title = 'MYページ/お気に入り一覧';
-    }
-
-    /**
-     * Page のプロセス(モバイル).
-     *
-     * @return void
-     */
-    function mobileProcess() {
-        parent::mobileProcess();
-        $this->mobileAction();
-        $this->sendResponse();
-    }
-
-    /**
-     * Page のAction(モバイル).
-     *
-     * @return void
-     */
-    function mobileAction() {
-        //$objView = new SC_MobileView();
-        $objQuery = new SC_Query();
-        $objCustomer = new SC_Customer();
-        // クッキー管理クラス
-        $objCookie = new SC_Cookie(COOKIE_EXPIRE);
-        // パラメータ管理クラス
-        $objFormParam = new SC_FormParam();
-        // パラメータ情報の初期化
-        $this->lfInitParamMobile($objFormParam);
-        // POST値の取得
-        $objFormParam->setParam($_POST);
-
-        // 携帯端末IDが一致する会員が存在するかどうかをチェックする。
-        $this->tpl_valid_phone_id = $objCustomer->checkMobilePhoneId();
-
-        if (!isset($_POST['mode'])) $_POST['mode'] = "";
-
-        // ログイン処理
-        if($_POST['mode'] == 'login') {
-            $objFormParam->toLower('login_email');
-            $arrErr = $objFormParam->checkError();
-            $arrForm =  $objFormParam->getHashArray();
-
-            // クッキー保存判定
-            if ($arrForm['login_memory'] == "1" && $arrForm['login_email'] != "") {
-                $objCookie->setCookie('login_email', $_POST['login_email']);
-            } else {
-                $objCookie->setCookie('login_email', '');
-            }
-
-            if (count($arrErr) == 0){
-                if($objCustomer->getCustomerDataFromMobilePhoneIdPass($arrForm['login_pass']) ||
-                   $objCustomer->getCustomerDataFromEmailPass($arrForm['login_pass'], $arrForm['login_email'], true)) {
-                    // ログインが成功した場合は携帯端末IDを保存する。
-                    $objCustomer->updateMobilePhoneId();
-
-                    /*
-                     * email がモバイルドメインでは無く,
-                     * 携帯メールアドレスが登録されていない場合
-                     */
-                    $objMobile = new SC_Helper_Mobile_Ex();
-                    if (!$objMobile->gfIsMobileMailAddress($objCustomer->getValue('email'))) {
-                        if (!$objCustomer->hasValue('email_mobile')) {
-                            SC_Response_Ex::sendRedirectFromUrlPath('entry/email_mobile.php');
-                        }
-                    }
-                } else {
-                    $objQuery = new SC_Query;
-                    $where = "(email = ? OR email_mobile = ?) AND status = 1 AND del_flg = 0";
-                    $ret = $objQuery->count("dtb_customer", $where, array($arrForm['login_email'], $arrForm['login_email']));
-
-                    if($ret > 0) {
-                        SC_Utils_Ex::sfDispSiteError(TEMP_LOGIN_ERROR);
-                    } else {
-                        SC_Utils_Ex::sfDispSiteError(SITE_LOGIN_ERROR);
-                    }
-                }
-            }
-        }
-
-        // TODO objViewを分けるので、$thisに置き換える TPLの修正が必須かな？
-        /*
-         * ログインチェック
-         * 携帯メールの登録を必須にする場合は isLoginSuccess(false) にする
-         */
-        if(!$objCustomer->isLoginSuccess(true)) {
-            $this->tpl_mainpage = 'mypage/login.tpl';
-            $objView->assignArray($objFormParam->getHashArray());
-            if (empty($arrErr)) $arrErr = array();
-            $objView->assignArray(array("arrErr" => $arrErr));
-        }else {
-            //マイページトップ顧客情報表示用
-            $this->CustomerName1 = $objCustomer->getvalue('name01');
-            $this->CustomerName2 = $objCustomer->getvalue('name02');
-        }
-
-        //$objView->assignobj($this);				//$objpage内の全てのテンプレート変数をsmartyに格納
-        //$objView->display(SITE_FRAME);				//パスとテンプレート変数の呼び出し、実行
-
     }
 
@@ -270,12 +158,4 @@
     }
 
-    /* パラメータ情報の初期化 */
-    function lfInitParamMobile(&$objFormParam) {
-
-        $objFormParam->addParam("記憶する", "login_memory", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
-        $objFormParam->addParam("メールアドレス", "login_email", MTEXT_LEN, "a", array("EXIST_CHECK", "MAX_LENGTH_CHECK"));
-        $objFormParam->addParam("パスワード", "login_pass", STEXT_LEN, "a", array("EXIST_CHECK", "MAX_LENGTH_CHECK"));
-    }
-
     // お気に入り商品削除
     function lfDeleteFavoriteProduct($customer_id, $product_id) {
@@ -289,7 +169,4 @@
         }
     }
-
-
-
 }
 ?>
Index: /branches/version-2_5-dev/data/Smarty/templates/mobile/mypage/mail_view.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/mobile/mypage/mail_view.tpl	(revision 19959)
+++ /branches/version-2_5-dev/data/Smarty/templates/mobile/mypage/mail_view.tpl	(revision 19959)
@@ -0,0 +1,5 @@
+件名：<!--{$tpl_subject|h}-->
+<hr>
+<!--{$tpl_body|h|nl2br}-->
+<br>
+<br>
Index: /branches/version-2_5-dev/data/Smarty/templates/mobile/mypage/history.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/mobile/mypage/history.tpl	(revision 19943)
+++ /branches/version-2_5-dev/data/Smarty/templates/mobile/mypage/history.tpl	(revision 19959)
@@ -25,27 +25,106 @@
 <hr>
 
-<!--{section name=cnt loop=$arrOrder}-->
-	■<!--{$arrOrder[cnt].create_date|sfDispDBDate}--><br>
-	注文番号:<!--{$arrOrder[cnt].order_id}--><br>
-	<!--{assign var=payment_id value="`$arrOrder[cnt].payment_id`"}-->
-	合計金額:<!--{$arrOrder[cnt].payment_total|number_format}-->円<br>
+購入日時：<!--{$arrDisp.create_date|sfDispDBDate}--><br />
+注文番号：<!--{$arrDisp.order_id}--><br />
+お支払い方法：<!--{$arrPayment[$arrDisp.payment_id]|h}-->
+<!--{if $arrDisp.deliv_time_id != ""}--><br />
+お届け時間：<!--{$arrDelivTime[$arrDisp.deliv_time_id]|h}-->
+<!--{/if}-->
+<!--{if $arrDisp.deliv_date != ""}--><br />
+お届け日：<!--{$arrDisp.deliv_date|h}-->
+<!--{/if}-->
 
-	<div align="center">
-	<form name="form1" method="post" action="history_detail.php">
-		<input type="hidden" name="order_id" value="<!--{$arrOrder[cnt].order_id}-->">
-		<input type="submit" name="submit" value="詳細を見る">
-	</form>
-	</div>
-	<br>
-<!--{/section}-->
+<form action="order.php" method="post">
+<input type="hidden" name="order_id" value="<!--{$arrDisp.order_id}-->">
+<input type="submit" name="submit" value="再注文">
+</form>
+
+■購入商品詳細<br>
+<!--{foreach from=$tpl_arrOrderDetail item=orderDetail}-->
+<hr>
+商品コード：<!--{$orderDetail.product_code|h}--><br>
+商品名：<a<!--{if $orderDetail.enable}--> href="<!--{$smarty.const.P_DETAIL_URLPATH}--><!--{$orderDetail.product_id|u}-->"<!--{/if}-->><!--{$orderDetail.product_name|h}--></a><br>
+商品種別：
+<!--{ if $orderDetail.product_type_id == PRODUCT_TYPE_DOWNLOAD}-->
+<!--{ if $orderDetail.price == "0" || ( $orderDetail.status >= "4" && $orderDetail.effective == "1" )}-->
+<a target="_self" href="<!--{$smarty.const.URL_PATH}-->mypage/download.php?order_id=<!--{$arrDisp.order_id}-->&product_id=<!--{$orderDetail.product_id}-->&product_class_id=<!--{$orderDetail.product_class_id}-->">ダウンロード</a><br>
+<!--{ elseif $orderDetail.payment_date == "" || $orderDetail.status < "4"}-->
+ダウンロード商品<br>（入金確認中）<br>
+<!--{ elseif $orderDetail.effective != "1"}-->
+ダウンロード商品<br>（期限切れ）<br>
+<!--{ /if }-->
+<!--{ else if $orderDetail.product_type_id == PRODUCT_TYPE_NORMAL}-->
+通常商品<br>
+<!--{ /if }-->
+単価：
+<!--{assign var=price value=`$orderDetail.price`}-->
+<!--{assign var=quantity value=`$orderDetail.quantity`}-->
+<!--{$price|number_format|h}-->円<br>
+数量：<!--{$quantity|h}--><br>
+小計：<!--{$price|sfCalcIncTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|sfMultiply:$quantity|number_format}-->円<br>
+<!--{/foreach}-->
+<hr>
+小計：<!--{$arrDisp.subtotal|number_format}-->円<br>
+<!--{assign var=point_discount value="`$arrDisp.use_point*$smarty.const.POINT_VALUE`"}-->
+<!--{if $point_discount > 0}-->
+ポイント値引き：<!--{$point_discount|number_format}-->円<br>
+<!--{/if}-->
+<!--{assign var=key value="discount"}-->
+<!--{if $arrDisp[$key] != "" && $arrDisp[$key] > 0}-->
+値引き：<!--{$arrDisp[$key]|number_format}-->円<br>
+<!--{/if}-->
+送料：<!--{assign var=key value="deliv_fee"}--><!--{$arrDisp[$key]|number_format|h}-->円<br>
+手数料：
+<!--{assign var=key value="charge"}-->
+<!--{$arrDisp[$key]|number_format|h}-->円<br>
+合計：<!--{$arrDisp.payment_total|number_format}-->円<br>
+<hr>
+<!-- 使用ポイントここから -->
+<!--{if $smarty.const.USE_POINT !== false}-->
+■使用ポイント<br>
+ご使用ポイント：<!--{assign var=key value="use_point"}--><!--{$arrDisp[$key]|number_format|default:0}--> pt<br>
+今回加算されるポイント：<!--{$arrDisp.add_point|number_format|default:0}--> pt<br>
+<hr>
+<!--{/if}-->
+<!-- 使用ポイントここまで -->
+
+<!--{foreach item=shippingItem name=shippingItem from=$arrShipping}-->
+▼お届け先<!--{if $isMultiple}--><!--{$smarty.foreach.shippingItem.iteration}--><!--{/if}--><br>
+<!--{if $isMultiple}-->
+<!--{foreach item=item from=$shippingItem.shipment_item}-->
+商品コード：<!--{$item.product_code|h}--><br>
+商品名：<!--{* 商品名 *}--><!--{$item.productsClass.name|h}--><br>
+<!--{if $item.productsClass.classcategory_name1 != ""}-->
+<!--{$item.productsClass.class_name1}-->：<!--{$item.productsClass.classcategory_name1}--><br>
+<!--{/if}-->
+<!--{if $item.productsClass.classcategory_name2 != ""}-->
+<!--{$item.productsClass.class_name2}-->：<!--{$item.productsClass.classcategory_name2}--><br>
+<!--{/if}-->
+単価：<!--{$item.productsClass.price02|sfCalcIncTax:$arrInfo.tax:$arrInfo.tax_rule|number_format}-->円<br>
+数量：<!--{$item.quantity}--><br>
 <br>
-
-<!--{$tpl_strnavi}-->
+<!--{/foreach}-->
+<!--{/if}-->
+●お名前<br>
+<!--{$shippingItem.shipping_name01|h}-->&nbsp;<!--{$shippingItem.shipping_name02|h}--><br>
+●お名前(フリガナ)<br>
+<!--{$shippingItem.shipping_kana01|h}-->&nbsp;<!--{$shippingItem.shipping_kana02|h}--><br>
+●住所<br>
+〒<!--{$shippingItem.shipping_zip01}-->-<!--{$shippingItem.shipping_zip02}--><br>
+<!--{$arrPref[$shippingItem.shipping_pref]}--><!--{$shippingItem.shipping_addr01|h}--><!--{$shippingItem.shipping_addr02|h}--><br>
+●電話番号<br>
+<!--{$shippingItem.shipping_tel01}-->-<!--{$shippingItem.shipping_tel02}-->-<!--{$shippingItem.shipping_tel03}--><br>
+<!--{/foreach}-->
 
 <hr>
 
-<a href="<!--{$smarty.const.MOBILE_CART_URLPATH}-->" accesskey="9"><!--{9|numeric_emoji}-->かごを見る</a><br>
-<a href="<!--{$smarty.const.MOBILE_TOP_URLPATH}-->" accesskey="0"><!--{0|numeric_emoji}-->TOPページへ</a><br>
-
+■メール配信履歴一覧<br>
+<!--{section name=cnt loop=$arrMailHistory}-->
+<!--{assign var=key value="`$arrMailHistory[cnt].template_id`"}-->
+処理日：<!--{$arrMailHistory[cnt].send_date|sfDispDBDate|h}--><br>
+通知メール：<!--{$arrMAILTEMPLATE[$key]|h}--><br>
+件名：
+<a href="./mail_view.php?send_id=<!--{$arrMailHistory[cnt].send_id}-->"><!--{$arrMailHistory[cnt].subject|h}--></a><br>
+<!--{/section}-->
 <br>
 
Index: /branches/version-2_5-dev/data/Smarty/templates/mobile/mypage/refusal.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/mobile/mypage/refusal.tpl	(revision 19943)
+++ /branches/version-2_5-dev/data/Smarty/templates/mobile/mypage/refusal.tpl	(revision 19959)
@@ -28,6 +28,6 @@
 <div align="center">
 <form action="?" method="post">
-	<input type="submit" name="no" value="いいえ">
-	<input type="submit" name="complete" value="はい">
+    <input type="hidden" name="mode" value="complete">
+	<input type="submit" name="complete" value="退会する">
 </form>
 </div>
Index: /branches/version-2_5-dev/data/Smarty/templates/mobile/mypage/index.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/mobile/mypage/index.tpl	(revision 19943)
+++ /branches/version-2_5-dev/data/Smarty/templates/mobile/mypage/index.tpl	(revision 19959)
@@ -31,17 +31,36 @@
 <!--{if $smarty.const.USE_POINT !== false}-->
 現在の所持ポイントは「<!--{$CustomerPoint|number_format|default:"0"|h}-->」Ptです。<br>
+<!--{/if}-->
+
+<hr>
+<!--{*<a href="index.php" accesskey="1"><!--{1|numeric_emoji}-->購入履歴</a><br>*}-->
+<a href="change.php" accesskey="2"><!--{2|numeric_emoji}-->登録内容変更</a><br>
+<a href="refusal.php" accesskey="3"><!--{3|numeric_emoji}-->退会</a><br>
+<hr>
+■購入履歴一覧<br>
+<!--{if $tpl_linemax > 0}-->
+    <!--{$tpl_linemax}-->件の購入履歴があります。<br>
+    <!--{section name=cnt loop=$arrOrder}-->
+    <hr>
+        ●購入日時<br>
+        <!--{$arrOrder[cnt].create_date|sfDispDBDate}--><br>
+        ●注文番号<br>
+        <!--{$arrOrder[cnt].order_id}--><br>
+        <!--{assign var=payment_id value="`$arrOrder[cnt].payment_id`"}-->
+        ●お支払い方法<br>
+        <!--{$arrPayment[$payment_id]|h}--><br>
+        ●合計金額<br>
+        <!--{$arrOrder[cnt].payment_total|number_format}-->円<br>
+        <a href="./history.php?order_id=<!--{$arrOrder[cnt].order_id}-->">詳細を見る</a><br>
+    <!--{/section}-->
+    <hr>
+<!--{else}-->
+    購入履歴はありません。<br>
+<!--{/if}-->
+
+<!--{if $tpl_strnavi != ""}-->
+<!--{$tpl_strnavi}-->
 <br>
 <!--{/if}-->
-
-<a href="history.php" accesskey="1"><!--{1|numeric_emoji}-->購入履歴</a><br>
-<a href="change.php" accesskey="2"><!--{2|numeric_emoji}-->登録内容変更</a><br>
-<a href="refusal.php" accesskey="3"><!--{3|numeric_emoji}-->退会</a><br>
-
-<hr>
-
-<a href="<!--{$smarty.const.MOBILE_CART_URLPATH}-->" accesskey="9"><!--{9|numeric_emoji}-->かごを見る</a><br>
-<a href="<!--{$smarty.const.MOBILE_TOP_URLPATH}-->" accesskey="0"><!--{0|numeric_emoji}-->TOPページへ</a><br>
-
-<br>
 
 <!-- ▼フッター ここから -->
Index: /branches/version-2_5-dev/data/Smarty/templates/mobile/mypage/login.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/mobile/mypage/login.tpl	(revision 19943)
+++ /branches/version-2_5-dev/data/Smarty/templates/mobile/mypage/login.tpl	(revision 19959)
@@ -25,30 +25,26 @@
 <hr>
 
-<!--▼CONTENTS-->
-<form name="login_mypage" id="login_mypage" method="post" action="./<!--{$smarty.const.DIR_INDEX_URL}-->">
+<form name="member_form" id="member_form" method="post" action="./login_check.php">
 	<input type="hidden" name="mode" value="login" >
 <!--{if !$tpl_valid_phone_id}-->
-	▼メールアドレス<br>
-	<!--{assign var=key value="login_email"}-->
+	●メールアドレス<br>
+    <!--{assign var=key value="mypage_login_email"}-->
 	<font color="#FF0000"><!--{$arrErr[$key]}--></font>
-	<input type="text" name="<!--{$key}-->" value="<!--{$login_email|h}-->" 
-		size="40" istyle="3"><br>
+    <input type="text" name="<!--{$key}-->" value="<!--{$tpl_login_email|h}-->" maxlength="<!--{$arrForm[$key].length}-->" size="40" istyle="3"><br>
 <!--{else}-->
-	<input type="hidden" name="login_email" value="dummy">
+	<input type="hidden" name="mypage_login_email" value="dummy">
 <!--{/if}-->
-	▼パスワード<br>
-	<!--{assign var=key value="login_pass"}--><font color="#FF0000"><!--{$arrErr[$key]}--></font>
-	<input type="password" name="<!--{$key}-->" size="40" istyle="3"><br>
+	●パスワード<br>
+    <!--{assign var=key value="mypage_login_pass"}-->
+    <font color="#FF0000"><!--{$arrErr[$key]}--></font>
+    <input type="password" name="<!--{$key}-->" maxlength="<!--{$arrForm[$key].length}-->" size="40" istyle="3"><br>
 	<center><input type="submit" value="送信" name="log"></center><br>
-	<a href="<!--{$smarty.const.MOBILE_URLPATH}-->forgot/<!--{$smarty.const.DIR_INDEX_URL}-->">パスワードをお忘れの方はこちら</a><br>
+	<a href="<!--{$smarty.const.MOBILE_HTTPS_URL}-->forgot/<!--{$smarty.const.DIR_INDEX_URL}-->">パスワードをお忘れの方はこちら</a><br>
 </form>
-<!--▲CONTENTS-->
 
-<br>
 <hr>
-
-<a href="<!--{$smarty.const.MOBILE_CART_URLPATH}-->" accesskey="9"><!--{9|numeric_emoji}-->かごを見る</a><br>
-<a href="<!--{$smarty.const.MOBILE_TOP_URLPATH}-->" accesskey="0"><!--{0|numeric_emoji}-->TOPページへ</a><br>
-
+会員登録をすると便利なMyページをご利用いただけます。<br>
+また、ログインするだけで、毎回お名前や住所などを入力することなくスムーズにお買い物をお楽しみいただけます。<br>
+<center><a href="../entry/kiyaku.php">会員登録</a></center>
 <br>
 
